#!/bin/bash -e

  # export COMPSS_PYTHON_VERSION=3.12.1
  module load COMPSs

  # Define script variables
  scriptDir=$(pwd)/$(dirname $0)
  execFile=${scriptDir}/src/kmeans.py
  appPythonpath=${scriptDir}/src/

  # Retrieve arguments
  numNodes=$1
  executionTime=$2
  tracing=$3

  # Leave application args on $@
  shift 3

  # Enqueue the application
  pycompss job submit \
    --provenance \
    --qos=debug \
    --num_nodes=$numNodes \
    --exec_time=$executionTime \
    --worker_working_dir=$(pwd) \
    --tracing=$tracing \
    --graph=true \
    --pythonpath=$appPythonpath \
    --lang=python \
    $execFile $@



#    --qos=training \
#    --reservation=COMPSS2024 \


######################################################
# APPLICATION EXECUTION EXAMPLE
# Call:
#       ./launch_kmeans.sh <NUMBER_OF_NODES> <EXECUTION_TIME> <TRACING> <POINTS> <DIMENSIONS> <CENTERS> <FRAGMENTS>
#
# Example:
#       ./launch_kmeans.sh 2 10 false 72000 3 4 72
#
#####################################################
